Package edu.hws.jcm.awt

# Interface Computable

All Known Implementing Classes:
  `Controller`, `CoordinateRect`, `Crosshair`, `DisplayCanvas`, `DisplayLabel`, `DrawGeometric`, `DrawString`, `Graph1D`, `ParametricCurve`, `RiemannSumRects`, `ScatterPlot`, `TangentLine`, `VectorField`

public interface Computable
A Computable is an object that performs some sort of computation or action when its compute() method is called. The compute() method is meant to be called (usually) by a Controller. See the Controller class for more information.

## Method Summary

Modifier and Type
Method
Description
`void`
`compute()`
Perform the computation or action associated with this Computable object.

## Method Details

### compute

void compute()
Perform the computation or action associated with this Computable object.